%define distro_version 4.1

%define _altdata_dir %_datadir/alterator

Name: alterator-pkg
Version: 1.5
Release: alt3.M41.5

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

Packager: Stanislav Ievlev <inger@altlinux.org>

#package contains arch depended configs for pkg-sources
#BuildArch: noarch

Source:%name-%version.tar

Summary: additional package installation
License: GPL
Group: System/Configuration/Other

Requires: alterator >= 3.9-alt1.M41.1 alterator-sh-functions libshell
Requires: apt > 0.5.15lorg2-alt13
Conflicts: alterator-fbi < 2.10-alt6
Conflicts: alterator-lookout < 1.2-alt1

Provides: alterator-apt = %version
Obsoletes: alterator-apt

BuildPreReq: alterator >= 3.9-alt1.M41.1 alterator-fbi >= 0.16-alt2, alterator-l10n

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

Provides: %name-tools = %version
Obsoletes: %name-tools

%description
additional package installation

%prep
%setup -q

%build
%make_build
sed -e "s/@arch@/$RPM_ARCH/g" \
    -e "s/@version@/%distro_version/g" \
    -i pkg-sources/*.desktop

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_sysconfdir/alterator/pkg-sources
%_datadir/alterator/applications/*
%_datadir/alterator/design/*/*
%_datadir/alterator/templates/*
%_datadir/alterator/help/*/*
%_datadir/alterator/ui/*
%_datadir/install2/preinstall.d/*
%_alterator_backend3dir/*

%changelog
* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.5-alt3.M41.5
- use help from new l10n

* Wed Nov 26 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.5-alt3.M41.4
- add refresh parameter (see alterator-fbi-2.11-alt0.M41.8)

* Mon Nov 17 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.5-alt3.M41.3
- fix help

* Mon Nov 17 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.5-alt3.M41.2
- add help (by azol@)

* Mon Nov 17 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.5-alt3.M41.1
- build for 4.1

* Thu Nov 13 2008 Stanislav Ievlev <inger@altlinux.org> 1.5-alt4
- fix http ui work in non javascript mode

* Mon Sep 22 2008 Stanislav Ievlev <inger@altlinux.org> 1.5-alt3
- fix buildarch: package contains arch depended configs for pkg-sources

* Fri Aug 29 2008 Stanislav Ievlev <inger@altlinux.org> 1.5-alt2
- use empty redirect-url attribute instead of name-attribute hack

* Wed Aug 06 2008 Stanislav Ievlev <inger@altlinux.org> 1.5-alt0.M41.1
- build for 4.1

* Wed Aug 06 2008 Stanislav Ievlev <inger@altlinux.org> 1.5-alt1
- replace alterator-read-desktop and own library with alterator-dump-desktop

* Thu Jul 24 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt8
- replace desktop.awk with alterator-read-desktop

* Tue Jul 01 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt7
- simplify i18n declarations

* Mon Jun 23 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt6
- use effectShow
- remove requires for alterator-notes

* Wed Jun 18 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt5
- fix default repository calculation

* Mon Jun 16 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt4
- resurrect html ui
- add @version@ parameter
- use single column listbox

* Wed Jun 11 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt3
- fix backend: add empty url

* Wed Jun 11 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt2
- update translations
- use single module.mak

* Wed Jun 11 2008 Stanislav Ievlev <inger@altlinux.org> 1.4-alt1
- rewrite pkg-sources ui (qt)
- finally remove /pkg/license

* Tue Jun 10 2008 Stanislav Ievlev <inger@altlinux.org> 1.3-alt2
- remove support for groups with licenses

* Fri Jun 06 2008 Stanislav Ievlev <inger@altlinux.org> 1.3-alt1
- replace old checklist with common checklistbox

* Fri May 30 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt2
- use own checklist widget description
- improve tempfile cleanup
- finally rename /pkg -> /pkg/groups
- join to common translation database

* Thu May 22 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt1
- rename /pkg -> /pkg/groups
- add help for pkg-groups
- remove autoinstall backend usage

* Tue Apr 29 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt1
- update for new case-form algo
- improve ui files layout
- improve ui according alterator HIG
- drop tools subpackage

* Thu Apr 10 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt2
- fix checkbox usage
- add preinstall.d script
- remove html-messages.mak usage

* Mon Mar 31 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt1
- add 'System updates' dialog
- update sources: reorder operations

* Fri Mar 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- improve "disk size" label text
- update for latest alterator-notes
- remove template-*
- pkg-sources: imrpove sorting
- move images to design package

* Tue Feb 05 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- use alterator-sh-functions
- resurrect apt-sources (both gui and html versions)
- pkg-sources: fix regexp, remove support for cdrom and rpm-src
- pkg-register: it's possible to add disk without pkg-groups.tar
- add separate pkg-register ui for cdrom discs

* Thu Jan 31 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- improve pkg-install and pkg-size backends

* Tue Jan 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- pkg-install backend: remove extra wait call
- pkg-groups backend: add support for translation fallback
- add support for license

* Fri Dec 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- save error-text during cdrom exchange

* Tue Dec 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- improve disk checking

* Thu Dec 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- always umount
- fix label for the latest browser-qt

* Thu Dec 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- register: fix autoskip

* Wed Dec 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add 'Additional disks' step
- improve translation for 'Insert CD' dialog

* Fri Nov 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- add support for media change request

* Thu Nov 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- use different namespaces for the apt start/stop 
  notifications to avoid a race between to steps in wizard

* Fri Oct 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2.1
- git-add doc

* Fri Oct 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- fix requires
- add documentation

* Tue Oct 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
